| Python Script Engine 8.3 GL Studio Editor Python Script API

Public Types | Public Member Functions | List of all members
HtmlDock Class Reference

## Public Types
enum | DockWidgetArea { LeftDockWidgetArea = 0x1 , RightDockWidgetArea = 0x2 , TopDockWidgetArea = 0x4 , BottomDockWidgetArea = 0x8 }

## Public Member Functions
void | Show ()
void | Hide ()
void | SetUrl (String url)
void | Reload ()
void | Tabify (String title)
void | MoveToDockWidgetArea (DockWidgetArea area, String targetDockName)
void | SetTitle (String title)
void | Destroy ()
std::pair< double, double > | GetScrollPosition ()
void | SetScrollPosition (float x, float y)

## Detailed Description

common editor interface HtmlDock

## Member Enumeration Documentation

## ◆ DockWidgetArea

enum HtmlDock::DockWidgetArea

Enumerator
LeftDockWidgetArea |
RightDockWidgetArea |
TopDockWidgetArea |
BottomDockWidgetArea |

## Member Function Documentation

## ◆ Destroy()

void HtmlDock::Destroy | ( |  | ) |

Destroys the html dock.

Docks persist until manually destroyed using this method

## ◆ GetScrollPosition()

std::pair< double, double > HtmlDock::GetScrollPosition | ( |  | ) |

Gets the current scroll position of the html dock return a pair of x and y positions of the scroll area.

## ◆ Hide()

void HtmlDock::Hide | ( |  | ) |

Hides the dock.

## ◆ MoveToDockWidgetArea()

void HtmlDock::MoveToDockWidgetArea | ( | DockWidgetArea | area,
|  | String | targetDockName
| ) |  |

Moves the dock widget to the dock widget area.

Parameters

  area | The area to move it to.
  targetDockName | The name of the dock to move it to.

## ◆ Reload()

void HtmlDock::Reload | ( |  | ) |

Reloads the current web page.

## ◆ SetScrollPosition()

void HtmlDock::SetScrollPosition | ( | float | x,
|  | float | y
| ) |  |

Sets the scroll position of the html dock param x the x position of the scroll area param y the y position of the scroll area.

## ◆ SetTitle()

void HtmlDock::SetTitle | ( | String | title | ) |

Sets the title of the html dialog.

Parameters

  title | the title

## ◆ SetUrl()

void HtmlDock::SetUrl | ( | String | url | ) |

Sets the url of the web page currently viewed.

Setting the url clears the view and loads the url

Parameters

  url | the url

## ◆ Show()

void HtmlDock::Show | ( |  | ) |

Shows the dock.

## ◆ Tabify()

void HtmlDock::Tabify | ( | String | title | ) |

Tabifies the dock in the same location as the specified dock.

Parameters

  title | the title of the dock to tabify next to, e.g. "Object Properties"

The documentation for this class was generated from the following file:

- HtmlDock.i